## folium 0.12.1%2Bdfsg

=== debian/changelog ===
folium (0.12.1+dfsg-2) unstable; urgency=medium

  * checked the build with gbp. Closes: #1002378
  * bumped Standards-Version: 4.6.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Feb 2022 18:42:27 +0100

folium (0.12.1+dfsg-1) unstable; urgency=medium

  * new upstream version
  * upgrades : debhelper-compat (= 13), Standards-Version: 4.5.1

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 28 Jan 2021 19:25:29 +0100

folium (0.11.0+dfsg-2) unstable; urgency=medium

  * the package has been accepted; however the binary package was
    uploaded to the NEW queue; now I must upload a source package.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 Oct 2020 13:28:46 +0200

folium (0.11.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #942228)
  * defined the Files-Excluded list:
    - folium/templates/pa7_hm.min.js
    - folium/templates/pa7_leaflet_hm.min.js
    - docs/_themes/f6
    - folium/tests/*
    - folium/examples/*
  * added a XPM version of the file folium_logo.jpg, since this logo
    is a simple pixels array, with 3 unique colors; the JPG file exhibits
    more complex colors and structures, due to the compression.
  * signaled lintian overrides about static files generated by sphinx

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 08 Jun 2020 10:51:52 +0200

## folium 0.12.1+dfsg

=== requirements.txt ===
branca>=0.3.0
jinja2>=2.9
numpy
requests

=== debian/changelog ===
folium (0.12.1+dfsg-3) unstable; urgency=medium

  * added a build-dependency on python3-ipython-genutils. Closes: #1008427

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Apr 2022 20:02:08 +0200

=== debian/control ===
Source: folium
Section: libdevel
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools,
 python3-branca,
 python3-jinja2,
 python3-six,
 python3-numpy,
 python3-requests,
 python3-sphinx,
 python3-nbsphinx,
 python3-ipython-genutils
Standards-Version: 4.6.0
X-Python3-Version: >= 3.7
Homepage: https://python-visualization.github.io/folium/
Vcs-Browser: https://salsa.debian.org/georgesk/folium
Vcs-Git: https://salsa.debian.org/georgesk/folium.git

Package: python3-folium
Architecture: all
Depends: ${misc:Depends},
 python3, python3-branca, python3-jinja2,
 python3-requests, python3-numpy
Description: visualize geographic data in a Leaflet map
 folium builds on the data wrangling strengths of the Python ecosystem
 and the mapping strengths of the Leaflet.js library. Manipulate your
 data in Python, then visualize it in a Leaflet map via folium.

## folium 0.14.0%2Bdfsg

=== requirements.txt ===
branca>=0.6.0
jinja2>=2.9
numpy
requests

## folium 0.14.0+dfsg

=== debian/changelog ===
folium (0.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.14.0+dfsg
  * updated the debian patch
  * bumped Standards-Version: 4.6.2
  * added folium/_version.py to the list of files to clean

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 Dec 2022 14:07:02 +0100

folium (0.13.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.13.0+dfsg
  * updated the debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Nov 2022 11:47:09 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-sphinx,
  python3-nbsphinx,
  python3-ipython-genutils
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 X-Python3-Version: >= 3.7
 Homepage: https://python-visualization.github.io/folium/
 Vcs-Browser: https://salsa.debian.org/georgesk/folium

## folium 0.15.1+dfsg1

=== debian/changelog ===
folium (0.15.1+dfsg1-2) unstable; urgency=medium

  * replaced a dash by an underscore in setup.cfg. Closes: #1064687
  * added a build-dependency on python3-setuptools-scm
  * removed the build-dependency on python3-six. Closes: #1064602

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Feb 2024 11:27:07 +0100

folium (0.15.1+dfsg1-1) unstable; urgency=medium

  * added autopkgtests. Closes: #1035156
  * added folium/templates/leaflet_heat.min.js as an excluded file

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 19 Jan 2024 15:55:44 +0100

folium (0.15.1+dfsg-2) unstable; urgency=medium

  * added a dependency on python3-xyzservices

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 05 Jan 2024 18:51:26 +0100

folium (0.15.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.15.1+dfsg
  * New build-dependency: python3-xyzservices

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Dec 2023 15:54:19 +0100

folium (0.15.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.15.0+dfsg
  * removed the debian patch which becomes useless, patched docs/conf.py
    to comment out the extension jupytext
  * new build-dependency: python3-pydata-sphinx-theme

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 14 Nov 2023 17:45:27 +0100

=== debian/control ===
Source: folium
Section: libdevel
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools,
 python3-setuptools-scm,
 python3-branca,
 python3-jinja2,
 python3-numpy,
 python3-requests,
 python3-sphinx,
 python3-nbsphinx,
 python3-ipython-genutils,
 python3-pydata-sphinx-theme,
 python3-xyzservices,
Standards-Version: 4.6.2
Homepage: https://python-visualization.github.io/folium/
Vcs-Browser: https://salsa.debian.org/georgesk/folium
Vcs-Git: https://salsa.debian.org/georgesk/folium.git

Package: python3-folium
Architecture: all
Depends: ${misc:Depends},
 python3,
 python3-branca,
 python3-jinja2,
 python3-requests,
 python3-numpy,
 python3-xyzservices,
Description: visualize geographic data in a Leaflet map
 folium builds on the data wrangling strengths of the Python ecosystem
 and the mapping strengths of the Leaflet.js library. Manipulate your
 data in Python, then visualize it in a Leaflet map via folium.
 .
 Folium can be used inside Jupyter NOtebooks, too.

## folium 0.17.0+dfsg

=== debian/changelog ===
folium (0.17.0+dfsg-2) unstable; urgency=medium

  * removed the build dependency on  python3-ipython-genutils.
    Closes: #1077875

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 04 Aug 2024 10:19:56 +0200

folium (0.17.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.17.0+dfsg
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 20 Jun 2024 16:18:34 +0200

folium (0.16.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.16.0+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 06 Mar 2024 16:53:06 +0100

## folium 0.19.4+dfsg

=== debian/changelog ===
folium (0.19.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.19.4+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 11 Jan 2025 22:30:27 +0100

folium (0.19.3+dfsg-1) unstable; urgency=medium

  * New upstream version 0.19.3+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 Dec 2024 14:10:37 +0100

folium (0.19.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.19.2+dfsg
  * Updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Dec 2024 18:02:11 +0100

folium (0.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.18.0+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Nov 2024 16:53:45 +0100

## folium 0.19.5%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=folium

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.egg-info/ folium/_version.py
	cd docs; make clean

override_dh_auto_build:
	dh_auto_build
	cd docs; make html

## folium 0.19.5+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Folium.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Folium.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Folium"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Folium"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
folium (0.19.5+dfsg-1) unstable; urgency=medium

  * New upstream version 0.19.5+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Mar 2025 20:35:42 +0100

## folium 0.20.0%2Bdfsg

=== debian/changelog ===
folium (0.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.20.0+dfsg

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 11 Jul 2025 14:19:26 +0200

## folium 0.20.0+dfsg

=== requirements.txt ===
branca>=0.6.0
jinja2>=2.9
numpy
requests
xyzservices

=== debian/changelog ===
folium (0.20.0+dfsg-2) unstable; urgency=medium

  * install docs under /usr/share/doc. Closes: #1114036

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 06 Sep 2025 00:19:27 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python3-requests,
  python3-sphinx,
  python3-nbsphinx,
- python3-ipython-genutils,
  python3-pydata-sphinx-theme,
  python3-xyzservices,
 Standards-Version: 4.6.2

=== debian/tests/control ===
Tests: run_test_numpy_pandas.sh
Depends:
 python3-numpy,
 python3-pandas,
 @

=== debian/watch ===
version=4

opts="dversionmangle=auto, \
   repacksuffix=+dfsg, repack" \
   https://github.com/python-visualization/folium/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
